GET /whatsapp/flows/encryption-key

The RSA public key registered for Flows endpoints

GET
/whatsapp/flows/encryption-key

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId*string

WhatsApp account id

Response Body

{publicKey, signatureStatus, registered}

application/json
  1. response
publicKey?string|null
signatureStatus?string|null
registered?boolean
Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/flows/encryption-key?accountId=string'
Example Response
{  "publicKey": "string",  "signatureStatus": "string",  "registered": true}